Page MenuHomePhabricator

Use documentation builds as part of CI testing
Closed, ResolvedPublic

Event Timeline

Halfak created this task.Aug 26 2019, 4:12 PM
Restricted Application added a project: artificial-intelligence. · View Herald TranscriptAug 26 2019, 4:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Halfak added a comment.Sep 9 2019, 2:32 PM

I wonder if we should be using -nW

    -n                nit-picky mode, warn about all missing references
[...]
    -W                turn warnings into errors

This would make it so that any missing ref would cause an error. We'd need to do some work to make docs build correctly in order to get this to pass, but it seems like it would be an asset for later.

Halfak added a comment.Sep 9 2019, 3:58 PM

I just updated the wikimedia/revscoring PR with -anW and did the work to get it passing.

Halfak added a comment.Sep 9 2019, 9:32 PM

OK all the repos should be good to go now. @ACraze please review my work and feel free to merge.

ACraze added a comment.EditedSep 19 2019, 12:06 AM

Alrighty @Halfak I have the article quality and revscoring PRs passing now:

https://github.com/wikimedia/articlequality/pull/94

https://github.com/wikimedia/revscoring/pull/451

Also I have added a new task for the intersphinx sklearn issue: T233270

Halfak closed this task as Resolved.Sep 19 2019, 1:41 PM
Halfak moved this task from Review to Done on the Scoring-platform-team (Current) board.

Awesome. Merged. Looks like we're good here.